Skip to main content
GET
/
v1
/
fetch
/
usage
List fetch usage
curl --request GET \
  --url https://api.fetch.tinyfish.ai/v1/fetch/usage \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "id": "fr-abc123",
      "url": "https://example.com",
      "final_url": "https://example.com/page",
      "title": "Example Page",
      "description": "An example page",
      "language": "en",
      "author": null,
      "published_date": null,
      "format": "markdown",
      "status": "completed",
      "request_origin": "api",
      "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "text_length": 4096,
      "links_count": 12,
      "image_links_count": 3,
      "latency_ms": 250,
      "created_at": "2026-01-14T10:30:00.000Z",
      "error": null
    }
  ],
  "total": 1,
  "limit": 100,
  "page": 1,
  "total_pages": 1,
  "has_more": false
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get your key from the API Keys page.

Query Parameters

start_after
string<date-time>
end_before
string<date-time>
status
enum<string>
Available options:
completed,
failed
limit
integer
default:100
Required range: 1 <= x <= 1000
page
integer
default:1
Required range: x >= 1

Response

Fetch usage retrieved successfully.

Paginated fetch usage response

items
object[]
required
total
integer
required
limit
integer
required
page
integer
required
total_pages
integer
required
has_more
boolean
required